import java.util.*;
import java.io.*;
import java.servlet.*;
import java.servlet.http.*;
import java.servlet.html.*;

public
class ReleaseFormServlet extends FormServlet {

    public synchronized void sendResponse(HttpServletResponse res, Hashtable tab)
        throws IOException
    {
	// System.out.println("sendResponse");
        Enumeration keys;
        String key;
        String value;
	OutputStream out = res.getOutputStream();
        RandomAccessFile raf = null;  
        String line = null;
 
        res.setContentType("text/html");

	if (((String) tab.get("name")).equals("") || 
	    ((String) tab.get("e-mail")).equals(""))
	  {
	    HtmlPage page = new HtmlPage("Please try again");
	    page.add("Please try again","H1");
	    page.addTag("br");
	    page.add("We were unable to record your name or email address:");
	    page.addTag("blockquote");
	    page.add("Name: " + (String) tab.get("name"));
	    page.addTag("br");
	    page.add("Email: " + (String) tab.get("e-mail"));
	    page.addTag("/blockquote");
	    page.add("Please fill out the entire form before downloading.");
	    page.write(out);
	    out.flush();
	  }
	else
	  {
	    HtmlPage page = new HtmlPage("Jeeves Download Page");
	    page.add("Jeeves Download Page", "H1");
	    page.addTag("br");
	    page.add("Click to download:");
	    page.addTag("blockquote");
	    page.addLink("Solaris global zip file with documentation",
			 "/JeevesA2/Jeeves-alpha2-solaris-gl.zip");
            page.addTag("br");
            page.addLink("Solaris domestic zip file with documentation",
                         "/JeevesA2/Jeeves-alpha2-solaris-dom.xip");
            page.addLink("Windows global executable with documentation",
                         "/JeevesA2/Jeeves-alpha2-win32-gl.exe");
	    page.addTag("br");
	    page.addLink("Windows domestic executable with documentation",
			 "/JeevesA2/Jeeves-alpha2-win32-dom.exe");
	    page.addTag("br");
	    page.addLink("Installation Guide", 
                         "/JeevesA2/JeevesA2/doc/installation.html");
	    page.addTag("/blockquote");
	    page.addTag("p");
	    page.write(out);
	    out.flush();

	    raf = new RandomAccessFile("/opt/access_log_files/access_log", "rw");
	    
	    while(raf.read() != -1) {
	    } 
	    raf.writeChars("\n");
	    raf.writeChars("name: " + (String) tab.get("name"));
	    raf.writeChars("\n");
	    raf.writeChars("e-mail: " + (String) tab.get("e-mail"));
	    raf.writeChars("\n");
	    raf.writeChars("intended_use: " + (String) tab.get("intended_use"));
	    raf.writeChars("\n");
	    raf.writeChars("\n");
	    raf.close();
	  }
    }
}
